class CreateShareContents < ActiveRecord::Migration[6.0]
  def change
    create_table :share_contents do |t|
      t.string       :url
      t.string       :facebook_url
      t.boolean      :facebook,   :default => false
      t.string       :twitter_url
      t.string       :twitter_title
      t.boolean      :twitter,   :default => false
      t.string       :mail_subject
      t.string       :mail_url
      t.text         :mail_content
      t.boolean      :mail,   :default => false
      t.string       :print_url
      t.boolean      :print,   :default => false

      t.timestamps
    end
  end
end
